Name:             centos-release-kmods
Version:          %{?rhel}
Release:          11%{?dist}
Summary:          CentOS Kmods SIG package repositories

License:          GPLv2
URL:              https://sigs.centos.org/kmods

Source0:          RPM-GPG-KEY-CentOS-SIG-Kmods
Source1:          centos-kmods.repo

ExclusiveArch:    x86_64 aarch64 ppc64le

Recommends:       epel-release


%description
This package provides the package repository files for CentOS Kmods SIG.


%prep


%build


%install
%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/pki/rpm-gpg %{SOURCE0}
%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/yum.repos.d %{SOURCE1}

%if 0%{?rhel} < 10
%if "%{?dist}" == ".el%{?rhel}s"
find %{buildroot}%{_sysconfdir}/yum.repos.d -type f -name \*.repo -exec sed -i 's/${stream:-${releasever_major}}/$stream/g' \{\} \;
%else
find %{buildroot}%{_sysconfdir}/yum.repos.d -type f -name \*.repo -exec sed -i 's/${stream:-${releasever_major}}/%{?rhel}/g' \{\} \;
%endif
find %{buildroot}%{_sysconfdir}/yum.repos.d -type f -name \*.repo -exec sed -i 's/$releasever_major/%{?rhel}/g' \{\} \;
%endif


%clean
%{__rm} -rf %{buildroot}


%files
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-Kmods
%config(noreplace) %{_sysconfdir}/yum.repos.d/centos-kmods.repo
%if 0%{?rhel} < 10
%ghost %{_sysconfdir}/yum.repos.d/centos-kmods-userspace.repo
%endif
%if 0%{?rhel} < 9
%ghost %{_sysconfdir}/yum.repos.d/CentOS-Kmods.repo
%ghost %{_sysconfdir}/yum.repos.d/CentOS-Kmods-UserSpace.repo
%ghost %{_sysconfdir}/yum.repos.d/CentOS-Kmods-Rebuild.repo
%endif


%changelog
* Wed May 14 2025 Peter Georg <peter.georg@physik.uni-regensburg.de> - %{?rhel}-11
- ExclusiveArch: x86_64 aarch64 ppc64le

* Fri Nov 22 2024 Peter Georg <peter.georg@physik.uni-regensburg.de> - %{?rhel}-10
- Initial release of common version
